LogisticOperator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class LogisticOperator

    java.lang.Object
      com.fenalco.entities.LogisticOperator

    public class LogisticOperator

extends java.lang.Object

Esta clase representa la tabla operador_logístico de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Andrés Romero Rodríguez

Field Summary
`private java.lang.String` | `address` dirección del operador
`private int` | `cityId` número de identificación de la ciudad del operador
`private java.lang.String` | `cityName` nombre de la ciudad
`private java.lang.String` | `contact` nombre de una persona de contacto del operador logístico
`private java.lang.String` | `email` correo electrónico del operador
`private int` | `id` id del operador logístico
`private java.lang.String` | `name` nombre del operador logístico
`private java.lang.String` | `phoneNumber` número telefónico del operador

Constructor Summary
`LogisticOperator()` Constructor por omisión de la clase.
`LogisticOperator(int operatorId)` Constructor que recibe el id del operador logístico en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar el operador logístico de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla operador_logistico debe construir una consulta SQL de tipo deletete y la adiciona a la transacción usando el método `addSql`
`java.lang.String` | `getAddress()` Consultor para el atributo address.
`int` | `getCityId()` Consultor para el atributo cityId.
`java.lang.String` | `getCityName()` Consultor para el atributo cityName.
`java.lang.String` | `getContact()` Consultor para el atributo contact.
`java.lang.String` | `getEmail()` Consultor para el atributo email.
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getName()` Consultor para el atributo name.
`java.lang.String` | `getPhoneNumber()` Consultor para el atributo phoneNumber.
`boolean` | `loadData(int operatorId)` Este método carga de la tabla categoria_reclamo de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos del operador logístico en la base de datos.
`void` | `setAddress(java.lang.String address)` Modificador para el atributo address.
`void` | `setCityId(int cityId)` Modificador para el atributo cityId.
`void` | `setCityName(java.lang.String cityName)` Modificador para el atributo cityName.
`void` | `setContact(java.lang.String contact)` Modificador para el atributo contact.
`void` | `setEmail(java.lang.String email)` Modificador para el atributo email.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setName(java.lang.String name)` Modificador para el atributo name.
`void` | `setPhoneNumber(java.lang.String phoneNumber)` Modificador para el atributo phoneNumber.
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos del operador logístico modificados a través de los métodos setter.Para actualizar los datos en la tabla operador_logistico debe construir una consulta SQL de tipo update y la adiciona a la transacción usando el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id del operador logístico

### name

    private java.lang.String name

  nombre del operador logístico

### address

    private java.lang.String address

  dirección del operador

### contact

    private java.lang.String contact

  nombre de una persona de contacto del operador logístico

### phoneNumber

    private java.lang.String phoneNumber

  número telefónico del operador

### email

    private java.lang.String email

  correo electrónico del operador

### cityId

    private int cityId

  número de identificación de la ciudad del operador

### cityName

    private java.lang.String cityName

  nombre de la ciudad

Constructor Detail

### LogisticOperator

    public LogisticOperator()

  Constructor por omisión de la clase. Se debe usar para el caso de insertar un nuevo operador logístico en la base de datos

### LogisticOperator

    public LogisticOperator(int operatorId)

  Constructor que recibe el id del operador logístico en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro operatorId con el fin de cargar los datos propios del operador que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `operatorId` - int que representa el id del operador logístico en la base de datos

Method Detail

### loadData

    public boolean loadData(int operatorId)

  Este método carga de la tabla categoria_reclamo de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `operatorId` - id del operador logístico
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos del operador logístico en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla operador_logistico debe construir una consulta SQL de tipo insert y la adiciona a la transacción usando el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos del operador logístico modificados a través de los métodos setter.Para actualizar los datos en la tabla operador_logistico debe construir una consulta SQL de tipo update y la adiciona a la transacción usando el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar el operador logístico de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla operador_logistico debe construir una consulta SQL de tipo deletete y la adiciona a la transacción usando el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de borrado

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getName

    public java.lang.String getName()

  Consultor para el atributo name.

  Returns:
    Valor del atributo name.

### setName

    public void setName(java.lang.String name)

  Modificador para el atributo name.

  Parameters:
    `name` - Nuevo valor del atributo name.

### getAddress

    public java.lang.String getAddress()

  Consultor para el atributo address.

  Returns:
    Valor del atributo address.

### setAddress

    public void setAddress(java.lang.String address)

  Modificador para el atributo address.

  Parameters:
    `address` - Nuevo valor del atributo address.

### getContact

    public java.lang.String getContact()

  Consultor para el atributo contact.

  Returns:
    Valor del atributo contact.

### setContact

    public void setContact(java.lang.String contact)

  Modificador para el atributo contact.

  Parameters:
    `contact` - Nuevo valor del atributo contact.

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  Consultor para el atributo phoneNumber.

  Returns:
    Valor del atributo phoneNumber.

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

  Modificador para el atributo phoneNumber.

  Parameters:
    `phoneNumber` - Nuevo valor del atributo phoneNumber.

### getEmail

    public java.lang.String getEmail()

  Consultor para el atributo email.

  Returns:
    Valor del atributo email.

### setEmail

    public void setEmail(java.lang.String email)

  Modificador para el atributo email.

  Parameters:
    `email` - Nuevo valor del atributo email.

### getCityId

    public int getCityId()

  Consultor para el atributo cityId.

  Returns:
    Valor del atributo cityId.

### setCityId

    public void setCityId(int cityId)

  Modificador para el atributo cityId.

  Parameters:
    `cityId` - Nuevo valor del atributo cityId.

### getCityName

    public java.lang.String getCityName()

  Consultor para el atributo cityName.

  Returns:
    Valor del atributo cityName.

### setCityName

    public void setCityName(java.lang.String cityName)

  Modificador para el atributo cityName.

  Parameters:
    `cityName` - Nuevo valor del atributo cityName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD